"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var completion_template_handler_1 = require("../handler/completion-template-handler");
var PlaceHolderAutoCompleteEvent = /** @class */ (function () {
    function PlaceHolderAutoCompleteEvent(placeHolder, inputValue, editor) {
        this.placeHolder = placeHolder;
        this.inputValue = inputValue;
        this.editor = editor;
        this.completionTemplateHandler = new completion_template_handler_1.CompletionTemplateHandler(this.editor);
    }
    PlaceHolderAutoCompleteEvent.prototype.showCompletions = function (completions) {
        var _this = this;
        completions = completions.map(function (completion) {
            var newCompletion = _.clone(completion);
            newCompletion.range = _this.placeHolder.getTextRange();
            return _this.completionTemplateHandler.processCompletion(newCompletion);
        });
        return this.placeHolder.showCompletions(completions);
    };
    return PlaceHolderAutoCompleteEvent;
}());
exports.PlaceHolderAutoCompleteEvent = PlaceHolderAutoCompleteEvent;
//# sourceMappingURL=placeholder-auto-complete-event.js.map