"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var CodeMirrorChangeEvent = /** @class */ (function () {
    function CodeMirrorChangeEvent(editor, changeEvents) {
        this.editor = editor;
        this.changeEvents = changeEvents;
    }
    CodeMirrorChangeEvent.prototype.hasDeleteEditChange = function () {
        var removedText = _.flatten(this.changeEvents.filter(function (evt) { return evt.origin !== 'setValue'; }).map(function (ev) { return ev.removed; })).join('').trim();
        return (!_.isEmpty(removedText));
    };
    CodeMirrorChangeEvent.prototype.hasInsertEditChange = function () {
        var changedText = _.flatten(this.changeEvents.filter(function (evt) { return evt.origin !== 'setValue'; }).map(function (ev) { return ev.text; })).join('').trim();
        return (!_.isEmpty(changedText));
    };
    return CodeMirrorChangeEvent;
}());
exports.CodeMirrorChangeEvent = CodeMirrorChangeEvent;
//# sourceMappingURL=codemirror-change-event.js.map