import { CodeMirrorEditor } from '../codemirror-editor';
import { Placeholder } from '../../../placeholder/placeholder';
import { EditorPosition } from '../../../types';
import { CompletionPopup } from '../../../completion/completion-popup';
import { Completion } from '../../../completion/completion';
import { PlaceHolderAutoCompleteEvent } from '../../../event/placeholder-auto-complete-event';
export declare class CodeMirrorPlaceholder implements Placeholder {
    private editor;
    private domContainer;
    private range;
    private placeHolderText;
    private inputElement;
    private currentCompletionPopup;
    private mark;
    constructor(editor: CodeMirrorEditor, domContainer: HTMLElement, range: [EditorPosition, EditorPosition]);
    addChangeListener(listener: (event: PlaceHolderAutoCompleteEvent) => void): void;
    getTextRange(): [EditorPosition, EditorPosition];
    showCompletions(completions: Completion[]): CompletionPopup;
    getDomElement(): HTMLElement;
    getInputElement(): HTMLElement;
    setRangeWithText(text: string): void;
    setPlaceHolderText(text: string): void;
    getPlaceHolderText(): string;
    focus(): void;
    exists(): boolean;
    enableDefaultKeyEventHandlers(): void;
    private choosePrevCompletion;
    private chooseNextCompletion;
    private clearMark;
    private clearCompletions;
}
